Home
last modified time | relevance | path

Searched refs:tmpfile (Results 1 – 25 of 139) sorted by relevance

123456

/third_party/musl/libc-test/src/functionalext/supplement/temp/
Dmkostemp.c28 char tmpfile[] = "/data/mkostemp_0100_XXXXXX"; in mkostemp_0100() local
29 int fd = mkostemp(tmpfile, O_APPEND); in mkostemp_0100()
32 int cnt = write(fd, tmpfile, strlen(tmpfile)); in mkostemp_0100()
33 EXPECT_TRUE("mkostemp_0100", cnt == strlen(tmpfile)); in mkostemp_0100()
36 int len = sprintf(rmfile, "rm %s", tmpfile); in mkostemp_0100()
51 char tmpfile[] = "/data/mkostemp_0200_XXXXXX"; in mkostemp_0200() local
52 int fd = mkostemp(tmpfile, O_CLOEXEC); in mkostemp_0200()
55 int cnt = write(fd, tmpfile, strlen(tmpfile)); in mkostemp_0200()
56 EXPECT_TRUE("mkostemp_0200", cnt == strlen(tmpfile)); in mkostemp_0200()
59 int len = sprintf(rmfile, "rm %s", tmpfile); in mkostemp_0200()
[all …]
Dmkostemps.c28 char tmpfile[] = "/tmp/mkostemps_0100_XXXXXX.dat"; in mkostemps_0100() local
29 int fd = mkostemps(tmpfile, strlen(".dat"), O_CREAT); in mkostemps_0100()
32 int cnt = write(fd, tmpfile, strlen(tmpfile)); in mkostemps_0100()
33 EXPECT_TRUE("mkostemps_0100", cnt == strlen(tmpfile)); in mkostemps_0100()
36 int len = sprintf(rmfile, "rm %s", tmpfile); in mkostemps_0100()
51 char tmpfile[] = "/tmp/mkostemps_0200_XXXXXX"; in mkostemps_0200() local
52 int fd = mkostemps(tmpfile, 0, O_CREAT); in mkostemps_0200()
55 int cnt = write(fd, tmpfile, strlen(tmpfile)); in mkostemps_0200()
56 EXPECT_TRUE("mkostemps_0200", cnt == strlen(tmpfile)); in mkostemps_0200()
59 int len = sprintf(rmfile, "rm %s", tmpfile); in mkostemps_0200()
[all …]
Dmkstemps.c26 char tmpfile[] = "/tmp/mkstemps_0100_XXXXXX.dat"; in mkstemps_0100() local
27 int fd = mkstemps(tmpfile, strlen(".dat")); in mkstemps_0100()
30 int cnt = write(fd, tmpfile, strlen(tmpfile)); in mkstemps_0100()
31 EXPECT_TRUE("mkstemps_0100", cnt == strlen(tmpfile)); in mkstemps_0100()
34 int len = sprintf(rmfile, "rm %s", tmpfile); in mkstemps_0100()
48 char tmpfile[] = "/tmp/mkstemps_0200_XXXXXX"; in mkstemps_0200() local
49 int fd = mkstemps(tmpfile, 0); in mkstemps_0200()
52 int cnt = write(fd, tmpfile, strlen(tmpfile)); in mkstemps_0200()
53 EXPECT_TRUE("mkstemps_0200", cnt == strlen(tmpfile)); in mkstemps_0200()
56 int len = sprintf(rmfile, "rm %s", tmpfile); in mkstemps_0200()
[all …]
Dmkstemp.c27 char tmpfile[] = "/data/mkstemp_0100_XXXXXX"; in mkstemp_0100() local
28 int fd = mkstemp(tmpfile); in mkstemp_0100()
31 int cnt = write(fd, tmpfile, strlen(tmpfile)); in mkstemp_0100()
32 EXPECT_TRUE("mkstemp_0100", cnt == strlen(tmpfile)); in mkstemp_0100()
35 int len = sprintf(rmfile, "rm %s", tmpfile); in mkstemp_0100()
49 char tmpfile[] = "/data/mkstemp_0200.dat"; in mkstemp_0200() local
50 int fd = mkstemp(tmpfile); in mkstemp_0200()
53 int cnt = write(fd, tmpfile, strlen(tmpfile)); in mkstemp_0200()
54 EXPECT_TRUE("mkstemp_0200", cnt == strlen(tmpfile)); in mkstemp_0200()
57 int len = sprintf(rmfile, "rm %s", tmpfile); in mkstemp_0200()
/third_party/gstreamer/gstplugins_bad/tests/check/elements/
Djifmux.c1018 gchar *tmpfile; in GST_START_TEST() local
1030 tmpfile = g_build_filename (g_get_tmp_dir (), tmp, NULL); in GST_START_TEST()
1074 generate_jif_file_with_tags_from_taglist (taglist, tmpfile); in GST_START_TEST()
1075 libexif_check_tags_from_taglist (taglist, tmpfile); in GST_START_TEST()
1079 generate_jif_file_with_tags (IMAGE_ORIENTATION_TAG ("rotate-0"), tmpfile); in GST_START_TEST()
1080 libexif_check_tags (IMAGE_ORIENTATION_TAG ("rotate-0"), tmpfile); in GST_START_TEST()
1082 tmpfile); in GST_START_TEST()
1083 libexif_check_tags (IMAGE_ORIENTATION_TAG ("flip-rotate-0"), tmpfile); in GST_START_TEST()
1084 generate_jif_file_with_tags (IMAGE_ORIENTATION_TAG ("rotate-180"), tmpfile); in GST_START_TEST()
1085 libexif_check_tags (IMAGE_ORIENTATION_TAG ("rotate-180"), tmpfile); in GST_START_TEST()
[all …]
/third_party/musl/libc-test/src/functionalext/supplement/linux/
Dmemfd_create.c27 char tmpfile[] = "/data/memfd_create_0100.txt"; in memfd_create_0100() local
28 int fd = memfd_create(tmpfile, 0); in memfd_create_0100()
31 int cnt = write(fd, tmpfile, strlen(tmpfile)); in memfd_create_0100()
32 EXPECT_TRUE("memfd_create_0100", cnt == strlen(tmpfile)); in memfd_create_0100()
44 char tmpfile[] = "/data/memfd_create_0200.txt"; in memfd_create_0200() local
45 int fd = memfd_create(tmpfile, -1); in memfd_create_0200()
48 int cnt = write(fd, tmpfile, strlen(tmpfile)); in memfd_create_0200()
49 EXPECT_TRUE("memfd_create_0200", cnt == strlen(tmpfile)); in memfd_create_0200()
/third_party/node/deps/npm/node_modules/write-file-atomic/
Dindex.js37 function cleanupOnExit (tmpfile) { argument
40 fs.unlinkSync(typeof tmpfile === 'function' ? tmpfile() : tmpfile)
60 var tmpfile
62 var removeOnExitHandler = onExit(cleanupOnExit(() => tmpfile))
75 tmpfile = getTmpname(truename)
103 fs.open(tmpfile, 'w', options.mode, function (err, _fd) {
138 fs.chown(tmpfile, options.chown.uid, options.chown.gid, function (err) {
147 fs.chmod(tmpfile, options.mode, function (err) {
155 fs.rename(tmpfile, truename, function (err) {
168 fs.unlink(tmpfile, function () {
[all …]
/third_party/iptables/iptables/tests/shell/testcases/ipt-save/
D0003save-restore_03 tmpfile=""
9 if [ ! -z "$tmpfile" ];then
10 rm -f "$tmpfile"
19 tmpfile=$(mktemp) || exit 1
38 $XT_MULTI iptables-save | grep -v "^#" > "$tmpfile" || exit 1
39 $XT_MULTI iptables-restore < "$tmpfile" || exit 1
44 $XT_MULTI iptables-restore < "$tmpfile" || exit 1
47 do_diff $tmpfile1 "$tmpfile"
D0002load-fedora27-firewalld_04 tmpfile=""
8 if [ ! -z "$tmpfile" ];then
9 rm -f "$tmpfile"
30 tmpfile=$(mktemp) || exit 1
43 :> "$tmpfile"
46 $XT_MULTI ${iptables}-save -t $table $opt | grep -v "^#" >> "$tmpfile"
49 do_diff $dumpfile "$tmpfile"
D0001load-dumps_04 tmpfile=""
10 if [ ! -z "$tmpfile" ];then
11 rm -f "$tmpfile"
34 tmpfile=$(mktemp) || exit 1
41 $XT_MULTI ${iptables}-save | grep -v "^#" > "$tmpfile"
42 do_diff $dumpfile "$tmpfile"
/third_party/iptables/iptables/tests/shell/testcases/ipt-restore/
D0002-parameters_09 if [ -n "${tmpfile}" ]; then
10 rm -f "${tmpfile}"
16 tmpfile=$(mktemp) || exit 1
18 $XT_MULTI iptables-save -f $tmpfile
19 $XT_MULTI iptables-restore $tmpfile
20 $XT_MULTI iptables-restore -w 5 $tmpfile
21 $XT_MULTI iptables-restore -w 5 -W 1 $tmpfile
D0004-restore-race_07 tmpfile=""
20 [ -n "${tmpfile}" ] && rm -f "${tmpfile}"
73 tmpfile=$(mktemp) || exit 1
111 $XT_MULTI iptables-save | grep -v '^#' > $tmpfile
114 cmp $tmpfile $dumpfile
D0001load-specific-table_04 tmpfile=""
10 if [ -n "${tmpfile}" ]; then
11 rm -f "${tmpfile}"
17 tmpfile=$(mktemp) || exit 1
/third_party/ltp/testcases/kernel/mce-test/tools/
Dmce_shell.sh22 tmpfile=$(mktemp)
24 trap "rm $tmpfile" EXIT
26 cat <<"EOF" > $tmpfile
49 /bin/bash --rcfile $tmpfile
50 rm $tmpfile
/third_party/skia/third_party/externals/swiftshader/tests/
Dpresubmit.sh56 tmpfile=`mktemp`
61 done | grep -v "(standard input)" > ${tmpfile}
62 if test -s ${tmpfile}; then
65 cat ${tmpfile}
66 rm ${tmpfile}
70 rm ${tmpfile}
/third_party/ltp/lib/newlib_tests/shell/
Dtest_timeout.sh55 local tmpfile start end;
57 tmpfile=$(mktemp -t ltp_timeout_XXXXXXXX)
73 LTP_TIMEOUT_MUL=$timeout $test 2>&1 | cat >$tmpfile
75 LTP_TIMEOUT_MUL=$timeout $test 1>$tmpfile 2>&1
82 test_output=$(cat $tmpfile)
83 rm $tmpfile
/third_party/ltp/testcases/network/stress/multicast/grp-operation/
Dmcast-lib.sh100 local param_multi_socket ret tmpfile
106 tmpfile=$$
107 EXPECT_PASS $MCAST_LCMD $param_multi_socket -n $num -p $mprefix \> $tmpfile
108 tst_res TINFO "joined $(grep groups $tmpfile)"
159 local tmpfile=$$
160 EXPECT_PASS $MCAST_LCMD -n 1 -p $prefix \> $tmpfile
161 tst_res TINFO "joined $(grep groups $tmpfile)"
/third_party/grpc/third_party/upb/
Dbenchmark.py11 tmpfile = "/tmp/bench-output.json"
12 Run("rm -rf {}".format(tmpfile))
16 …k --benchmark_out_format=json --benchmark_out={} --benchmark_repetitions={}".format(tmpfile, runs))
18 with open(tmpfile) as f:
/third_party/ltp/testcases/kernel/mem/mtest05/
Dmmstress.c276 int map_and_thread(char *tmpfile, in map_and_thread() argument
298 if (strcmp(tmpfile, "NULL")) { in map_and_thread()
300 open(tmpfile, O_RDWR | O_CREAT, in map_and_thread()
312 remove_files(tmpfile, NULL); in map_and_thread()
331 remove_files(tmpfile, NULL); in map_and_thread()
351 remove_files(tmpfile, NULL); in map_and_thread()
395 remove_files(tmpfile, map_addr); in map_and_thread()
419 remove_files(tmpfile, map_addr); in map_and_thread()
428 remove_files(tmpfile, map_addr); in map_and_thread()
445 if (remove_files(tmpfile, map_addr) == FAILED) { in map_and_thread()
/third_party/grpc/third_party/upb/benchmarks/
Dcompare.py31 tmpfile = "/tmp/bench-output.json"
32 Run("rm -rf {}".format(tmpfile))
41 …k --benchmark_out_format=json --benchmark_out={} --benchmark_repetitions={}".format(tmpfile, runs))
42 with open(tmpfile) as f:
/third_party/ltp/testcases/network/stress/multicast/query-flood/
Dmcast-queryfld04.sh25 local tmpfile=$$
26 EXPECT_PASS $MCAST_LCMD -n $MCASTNUM_NORMAL -p $prefix \> $tmpfile
27 tst_res TINFO "joined $(grep groups $tmpfile)"
Dmcast-queryfld03.sh34 local tmpfile=$$
35 EXPECT_PASS $MCAST_LCMD -n 1 -p $prefix -s $src_addr -F $FILTER_MODE \> $tmpfile
36 tst_res TINFO "joined $(grep groups $tmpfile)"
Dmcast-queryfld05.sh26 local tmpfile=$$
27 EXPECT_PASS $MCAST_LCMD -n $MCASTNUM_NORMAL -p $prefix \> $tmpfile
28 tst_res TINFO "joined $(grep groups $tmpfile)"
/third_party/musl/libc-test/src/functionalext/supplement/fcntl/
Dposix_fadvise.c28 FILE *fp = tmpfile(); in posix_fadvise_0100()
63 FILE *fp = tmpfile(); in posix_fadvise_0200()
88 FILE *fp = tmpfile(); in posix_fadvise_0300()
124 FILE *fp = tmpfile(); in posix_fadvise_0500()
/third_party/boost/tools/quickbook/build/
Dwarning-check5 tmpfile=$(tempfile)
15 if ! $CXX -c -O0 --std=c++11 -isystem $BOOST_ROOT $filename -o $tmpfile \
28 rm $tmpfile

123456